Subject: bug#24298: Acknowledgement (25.1; problem with restoring desktop)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2016 16:19:07 +0200

> Date: Sun, 04 Dec 2016 10:34:37 -0500
> From: John Covici <[email-masked]>
> Cc: [email-masked]
> 
> On Sun, 04 Dec 2016 10:28:23 -0500,
> Eli Zaretskii wrote:
> > 
> > > Date: Sat, 03 Dec 2016 20:51:48 -0500
> > > From: John Covici <[email-masked]>
> > > 
> > > OK, doing a git bisect, I found the commit which breaks my desktop
> > > restore -- I am using a text console here.
> > > 
> > > [c9f7ec736b78bef5359b6da03296277c535e8e89] * lisp/desktop.el: Disable
> > > restore frameset if in non-graphic display.
> > 
> > Does this mean you have more than one frame in your text-terminal
> > sessions, after restoring the desktop?  What effect does the following
> > command produce after you restore the session?
> > 
> >   C-x 5 o
> > 
> > If you have more than one frame, you should now see "Fn" at the left
> > edge of the mode line, where n is a small integer, which is different
> > from the one you saw there before the above command.
> 
> Nope, this is a text console,  the command does nothing.

Then I'm afraid I cannot reproduce this.  I tried restoring my desktop
in "emacs -nw" several times, and each time I end up looking at the
same 2 buffers displayed in 2 windows one below the other.

Could you perhaps create the smallest desktop file that reproduces
this problem for you, and post it?  I'd like to experiment with it.

Thanks.